Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## netscape.security
Class Privilege

    java.lang.Object
      |
      +--netscape.security.Privilege

public final class Privilege
extends java.lang.Object

Field Summary
`static int` | `ALLOWED`
`static int` | `BLANK`
`static int` | `FORBIDDEN`
`static int` | `FOREVER`
`static int` | `N_DURATIONS`
`static int` | `N_PERMISSIONS`
`static int` | `SCOPE`
`static int` | `SESSION`

Method Summary
`static int` | `add(int p1, int p2)`
`static Privilege` | `add(Privilege p1, Privilege p2)`
`static Privilege` | `findPrivilege(int permission, int duration)`
`int` | `getDuration()`
`int` | `getPermission()`
`boolean` | `isAllowed()`
`boolean` | `isBlank()`
`boolean` | `isForbidden()`
`boolean` | `sameDuration(int duration)`
`boolean` | `sameDuration(Privilege p)`
`boolean` | `samePermission(int perm)`
`boolean` | `samePermission(Privilege p)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### N_PERMISSIONS

    public static final int N_PERMISSIONS

### FORBIDDEN

    public static final int FORBIDDEN

### ALLOWED

    public static final int ALLOWED

### BLANK

    public static final int BLANK

### N_DURATIONS

    public static final int N_DURATIONS

### SCOPE

    public static final int SCOPE

### SESSION

    public static final int SESSION

### FOREVER

    public static final int FOREVER

Method Detail

### findPrivilege

    public static Privilege findPrivilege(int permission,
                                          int duration)

### add

    public static int add(int p1,
                          int p2)

### add

    public static Privilege add(Privilege p1,
                                Privilege p2)

### samePermission

    public boolean samePermission(Privilege p)

### samePermission

    public boolean samePermission(int perm)

### sameDuration

    public boolean sameDuration(Privilege p)

### sameDuration

    public boolean sameDuration(int duration)

### isAllowed

    public boolean isAllowed()

### isForbidden

    public boolean isForbidden()

### isBlank

    public boolean isBlank()

### getPermission

    public int getPermission()

### getDuration

    public int getDuration()

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD